%define name hostap
%define hostap_version 0.0.4
%define version %(echo %hostap_version | /usr/bin/perl -pe 's/-//g')
%define release 1mdk
%define url http://hostap.epitest.fi/

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		%{url}
Group:		System/Kernel and hardware
Source:		http://hostap.epitest.fi/releases/hostap-%{hostap_version}.tar.bz2
Summary:	Host AP driver utilities for Intersil Prism2/2.5/3
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	ncurses-devel
Requires:	wireless-tools
Prereq:		rpm-helper
Epoch:		1

%description
This is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5 chipset. The driver supports a so called Host AP mode, i.e.,
it takes care of IEEE 802.11 management functions in the host computer
and acts as an access point.

%prep
%setup -q -n %{name}-%{hostap_version}

%build
pushd hostapd
%make all
popd
pushd sniff
%make all
popd
pushd utils
%make all
popd

%install
rm -rf %{buildroot}
cp $RPM_BUILD_DIR/%{name}-%{hostap_version}/sniff/README $RPM_BUILD_DIR/%{name}-%{hostap_version}/README.sniff

mkdir -p %{buildroot}/%{_sbindir}
cd $RPM_BUILD_DIR/%{name}-%{hostap_version}
cp hostapd/hostapd %{buildroot}/%{_sbindir}
cp sniff/wlansniff %{buildroot}/%{_sbindir}
find utils -type f -perm +111 -exec cp '{}' %{buildroot}/%{_sbindir} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_sbindir}/*
%doc COPYING README  README.sniff FAQ ChangeLog

%changelog
* Thu Aug 21 2003 Laurent Culioli <laurent@pschit.net> 0.0.4-1mdk
- 0.0.4

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.0.1-1mdk
- 0.0.1
- Drop patch0

* Fri Apr 04 2003 Laurent Culioli <laurent@pschit.net> 20021012-2mdk
- Add require to wireless-tools ( prism2_param needs iwpriv )

* Wed Apr 02 2003 Nicolas Planel <nplanel@linux-mandrake.com> 20021012-1mdk
- First mdk released.
